<?php 
    session_start();
    include "databaseConnect.php";

    $type = "";
    if(isset($_POST['actionType']) && !empty($_POST['actionType'])){
        $type = $_POST['actionType'];
    }
    if ($type == "loginUser") {
        $userEmail = "";
        if (isset($_POST['userEmail']) && !empty($_POST['userEmail'])) {
            $userEmail = mysqli_real_escape_string($conn, $_POST['userEmail']);
        } else {
            header("location:/?err=2");
            exit();
        }

        $userPassword = "";
        if (isset($_POST['userPassword']) && !empty($_POST['userPassword'])) {
            $userPassword = mysqli_real_escape_string($conn, $_POST['userPassword']);
        } else {
            header("location:/?err=3");
            exit();
        }

        date_default_timezone_set("Asia/Kolkata");
        $currentDateTime = date("Y-m-d H:i:s");

        $checkSql = "SELECT * FROM tblusers WHERE useremail = '$userEmail' AND password = '$userPassword'";
        $result = mysqli_query($conn, $checkSql);

        if (mysqli_num_rows($result) > 0) {
            $row = mysqli_fetch_assoc($result);
            $_SESSION['userid'] = $row['userid'];
            $_SESSION['username'] = $row['username'];
            $_SESSION['userEmail'] = $row['useremail'];

            if (isset($_POST['rememberMeCheck']) && $_POST['rememberMeCheck'] == 'on') {
                setcookie('userEmail', $userEmail, time() + (60 * 60 * 24));
                setcookie('userPassword', $userPassword, time() + (60 * 60 * 24));
            }

            $update = "UPDATE tblusers SET last_login_datetime = '$currentDateTime' WHERE userid = " . $row['userid'];
            mysqli_query($conn, $update);
            header('location:admin.php');
        } else {
            header("location: /?err=4");
            exit();
        }
        mysqli_free_result($result);
    }

?>